{% load staticfiles %}

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <!--link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"-->

   <title>{% block title %}{% endblock %}</title>

  <link href="{% static  'bootstrap4/css/bootstrap.min.css' %}" rel="stylesheet">

  <script type="text/javascript" src="{% static 'bootstrap4/js/jquery.js' %}"></script>

  </head>
  <body>
  

  {% include "navbar.html" %}

  {% block content %}
    
  {% endblock %}

    <!-- Ruta de donde se encuentra el archivo de jquery -->


    <script type="text/javascript">
      $(document).ready(function(){
        console.log("Working")
          var searchInput = $("#nav-bar-form input[type=search]")
          var searchQuery;
          searchInput.keyup(function(event){
          searchQuery = $(this).val()
        })
       
        function doneSearchingTyping(){
          if (searchQuery){
            var url = "/mascotas/search?q=" + searchQuery
            document.location.href = url
          }
        }

      });
    </script>
    <h3> {{msgVersion}}</h3>
  </body>
</html>